import { jsx } from "react/jsx-runtime";
import { TokenZIG as TokenZIG$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenZIG = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ZIG", "data-name": "TokenZIG", ...props, children: /* @__PURE__ */ jsx(TokenZIG$1, { variant }) });
  }
);
TokenZIG.displayName = "TokenZIG";
Object.assign(TokenZIG, { isGdsIcon: true });
export {
  TokenZIG
};
